package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"os"
)

type SealApplyUsedFileRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需上传已用印文件的用印申请 【特殊说明】 仅限于接口发起的物理用印申请
	BusinessId *int64 `json:"businessId"`
	// <ext>core:true</ext> 【本地文件】本地文件 【作用】 转换为PDF文件，作为用印后文件 【传参】 支持的文件格式：pdf，doc，docx，wps，rtf，html，htm，xls，xlsx。
	File *os.File `json:"file"`
	// <ext>core:true</ext> 【文件标题】文件标题 【作用】 1、上传的文件转换为PDF文件后，作为PDF文件的标题 2、该文件在用印申请中展示的标题 【传参】 不超过500字符。
	Title string `json:"title"`
}

func (obj SealApplyUsedFileRequest) GetUrl() string {
	return "/seal/apply/used/file"
}

func (obj SealApplyUsedFileRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("businessId", obj.BusinessId)
	parameter.AddParam("title", obj.Title)
	parameter.AddFiles("file", obj.File)
	return parameter
}
